/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   math.h
Author(s)   :   Thomas Cheng
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   header file for maths library
Revision    :   1.1
Note        :   None
===========================================================================
*/              
                

#ifndef _MATH_
#define _MATH_

double sin(double x);
double cos(double x);
double tan(double x);
double expm1(double x);
double exp(double x);
double log1p(double x);
double log(double x);
double sqrt(double x);
double infinity();
double nan();
int isinf(double x);
int isnan(double x);
double pow(double x, double y);

#endif
